couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russell Jones <rjo...@eggycrew.com>
Subject Re: CouchDB 1.2 will not compile on CentOS 5
Date Wed, 11 Apr 2012 13:58:05 GMT
Thanks! Unfortunately this still doesn't work. I made the symlink but it 
still isn't seeing it:

checking for js/jsapi.h... no
configure: error: Could not find the jsapi header.

Are the Mozilla SpiderMonkey headers installed?


[root@server apache-couchdb-1.2.0]# file /usr/include/js/jsapi.h
/usr/include/js/jsapi.h: ASCII C program text

[root@server include]# ls -al | grep js
lrwxrwxrwx  1 root root      1 Apr 11 08:48 js -> .


This is the line I am using: ./configure 
--with-erlang=/usr/lib64/erlang/usr/include --with-js-lib=/usr/lib64 
--with-js-include=/usr/include

Tried with and without specifically defining the path. Has anyone 
managed to get the latest couchdb to compile on CentOS 5 with the 
OS-level SpiderMonkey? This is CentOS 5.4.



On 4/10/2012 6:53 AM, CGS wrote:
> Yep, dirty, but it should work. :)
>
> CGS
>
>
>
> On Tue, Apr 10, 2012 at 11:57 AM, Elisiano Petrini<elisiano@gmail.com>wrote:
>
>> Hi All,
>>
>> On 04/10/2012 11:38 AM, CGS wrote:
>>
>>> [...]
>>>
>>> One way to solve this is to create a directory "js" in "/usr/include" and
>>> to link the
>>> headers files there (or to copy them there). Otherwise, a developer should
>>> [...]
>>>
>> an easier work around would be (untested):
>> # cd /usr/include
>> # ln -s . js
>>

Mime
View raw message